Subject: bug#41920: sort: bug report/feature request: warn is -t is effectively a no-op?

From: Jacek Wielemborek <[email-masked]>
Date: Wed, 17 Jun 2020 14:22:47 +0200

Hi!

First of all, thanks for maintaining GNU sort! I use it very often and love
its performance.

Today I spent some time debugging and realized that my bug was caused by a
wrong GNU invocation ("sort -k1,1 -t," instead of "sort -t, -k1,1"). Could
sort warn when -t is effectively a no-op because it was specified after
last -k? I know that `find` warns the user if arguments are in a wrong
order, perhaps it would make sense to add it here as well?

(I read FAQ/list of gotchas, but believe that my case is a bit different
compared to the ones listed there)

Cheers,
d33tah